Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm
Class TransactionLocalDelegateImpl.TransactionLocalSynchronization

    java.lang.Object
      org.jboss.tm.TransactionLocalDelegateImpl.TransactionLocalSynchronization

All Implemented Interfaces:
  Synchronization

Enclosing class:
  TransactionLocalDelegateImpl

protected static class TransactionLocalDelegateImpl.TransactionLocalSynchronization
extends Object
implements Synchronization

Field Summary
`protected Transaction` | `tx`
`protected HashMap` | `valuesByLocal`

Constructor Summary
`TransactionLocalDelegateImpl.TransactionLocalSynchronization(Transaction tx)`

Method Summary
`void` | `afterCompletion(int status)`
`void` | `beforeCompletion()`
`boolean` | `containsValue(Object local)`
`Object` | `getValue(Object local)`
`void` | `setValue(Object local, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tx

    protected Transaction tx

### valuesByLocal

    protected HashMap valuesByLocal

Constructor Detail

### TransactionLocalDelegateImpl.TransactionLocalSynchronization

    public TransactionLocalDelegateImpl.TransactionLocalSynchronization(Transaction tx)

Method Detail

### beforeCompletion

    public void beforeCompletion()

  Specified by:
    `beforeCompletion` in interface `Synchronization`

### afterCompletion

    public void afterCompletion(int status)

  Specified by:
    `afterCompletion` in interface `Synchronization`

### getValue

    public Object getValue(Object local)

### setValue

    public void setValue(Object local,
                         Object value)

### containsValue

    public boolean containsValue(Object local)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.